summaryrefslogtreecommitdiff
path: root/android/sharks.sh
diff options
context:
space:
mode:
Diffstat (limited to 'android/sharks.sh')
-rw-r--r--android/sharks.sh26
1 files changed, 26 insertions, 0 deletions
diff --git a/android/sharks.sh b/android/sharks.sh
new file mode 100644
index 0000000..84eb90a
--- /dev/null
+++ b/android/sharks.sh
@@ -0,0 +1,26 @@
+#!/bin/bash
+
+# Install from Applist progs.csv
+tail -n +2 progs.csv | while IFS=, read -r id name description; do
+ if [ -n "$id" ]; then
+ # Überprüfen, ob die App bereits installiert ist
+ if ! fdroidcl list | grep -q "$id"; then
+ echo "Installing $name via F-Droid..."
+ fdroidcl install "$id"
+ else
+ echo "$name is already installed. Skipping..."
+ fi
+ fi
+done
+
+# pull app data
+data="/data/data"
+git="https://github.com/marlonivo/rice/raw/main/android/data/data"
+
+# script
+adb shell mkdir -p "$data"
+curl -sSL "$git" | while read -r file; do
+ adb push "$file" "$data/"
+done
+
+echo "DONE!"